## org.omg.SendingContext
Interface CodeBaseOperations

All Superinterfaces:
  RunTimeOperations

All Known Subinterfaces:
  CodeBase

All Known Implementing Classes:
  CodeBasePOA

public interface CodeBaseOperations
extends RunTimeOperations

Method Summary
`java.lang.String[]` `bases(java.lang.String x)` To obtain a type graph for a value type.
`Repository` `get_ir()` Operation to obtain the IR from the sending context
`java.lang.String` `implementation(java.lang.String x)` Operation to obtain a location of the implementation code.
`java.lang.String[]` `implementations(java.lang.String[] x)` Operation to obtain a location of the implementation code.
`java.lang.String` `implementationx(java.lang.String x)` Operation to obtain a location of the implementation code.
`FullValueDescription` `meta(java.lang.String x)` Operations to obtain complete meta information about a Value.
`FullValueDescription[]` `metas(java.lang.String[] x)` Operation to obtain complete meta information about a Value.

Method Detail

### get_ir

    public Repository get_ir()

  Operation to obtain the IR from the sending context

### implementation

    public java.lang.String implementation(java.lang.String x)

  Operation to obtain a location of the implementation code.

### implementationx

    public java.lang.String implementationx(java.lang.String x)

  Operation to obtain a location of the implementation code.

### implementations

    public java.lang.String[] implementations(java.lang.String[] x)

  Operation to obtain a location of the implementation code.

### meta

    public FullValueDescription meta(java.lang.String x)

  Operations to obtain complete meta information about a Value. This is just a performance optimization the IR can provide the same information

### metas

    public FullValueDescription[] metas(java.lang.String[] x)

  Operation to obtain complete meta information about a Value. This is just a performance optimization the IR can provide the same information.

### bases

    public java.lang.String[] bases(java.lang.String x)

  To obtain a type graph for a value type. This is just a performance optimization the IR can provide the same information.